# PartySizeRequirement | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PartySizeRequirement

#### Hierarchy (View Summary)

- EncounterSceneRequirement
  - PartySizeRequirement

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:325

##### Index

### Constructors

constructor

### Properties

excludeDisallowedPokemon
partySizeRange

### Methods

getDialogueToken
meetsRequirement

## Constructors

### constructor

- new PartySizeRequirement(
  partySizeRange: [number, number],
  excludeDisallowedPokemon: boolean,
  ): PartySizeRequirement

  Used for specifying a party size requirement If min and max are equivalent, will check for exact size

  #### Parameters

  - partySizeRange: [number, number]
  - excludeDisallowedPokemon: boolean

  #### Returns PartySizeRequirement

  Overrides EncounterSceneRequirement.constructor

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:335

## Properties

### excludeDisallowedPokemon

excludeDisallowedPokemon: boolean

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:327

### partySizeRange

partySizeRange: [number, number]

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:326

## Methods

### getDialogueToken

- getDialogueToken(_pokemon?: PlayerPokemon ): [string, string]

  Returns a dialogue token key/value pair for a given Requirement. Should be overridden by child Requirement classes.

  #### Parameters

  - `Optional`_pokemon: PlayerPokemon

  #### Returns [string, string]

  Overrides EncounterSceneRequirement.getDialogueToken

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:357

### meetsRequirement

- meetsRequirement(): boolean

  Returns whether the EncounterSceneRequirement's... requirements, are met by the given scene

  #### Returns boolean

  Overrides EncounterSceneRequirement.meetsRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:341